Package com.google.javascript.jscomp

# Interface MessageFormatter

All Known Implementing Classes:
  `AbstractMessageFormatter`, `LightweightMessageFormatter`

public interface MessageFormatter
Format warnings and errors. This interface may be used by implementations of `ErrorManager` to request message formatting capabilities.

## Method Summary

Modifier and Type
Method
Description
`String`
`formatError(JSError error)`
Format an error.
`String`
`formatWarning(JSError warning)`
Format a warning.

## Method Details

### formatError

String formatError(JSError error)
Format an error.

### formatWarning

String formatWarning(JSError warning)
Format a warning.